import request from "@/utils/request";

// 查询列表隐患问题清单
export function listQuestion(query) {
  return request({
    url: "/core/question/list",
    method: "get",
    params: query,
  });
}

// 查询详细隐患问题清单
export function getQuestion(id) {
  return request({
    url: "/core/question/info/" + id,
    method: "get",
  });
}


// 问题确认
export function confirm(data) {
  return request({
    url: "/core/question/confirm/" + data.id,
    method: "put",
    data,
    showLoading: true,
  });
}

// 异议审批
export function confirmDissent(data) {
  return request({
    url: "/core/question/confirmDissent/" + data.id,
    method: "put",
    data,
    showLoading: true,
  });
}

// 整改
export function reform(data) {
  return request({
    url: "/core/question/reform/" + data.id,
    method: "put",
    data,
    showLoading: true,
  });
}
